<template>
  <div class="about">
    <h1
      class="mb-2 text-4xl font-extrabold leading-none tracking-tight text-gray-900 md:text-3xl lg:text-4xl dark:text-lime-500 text-center">
      Mis favoritos</h1>
      <p class="mb-6 text-center text-lg font-normal text-gray-500 lg:text-xl dark:text-gray-400">Listado de Gifs <strong>favoritos</strong> compartelos con tus <strong>amigos</strong></p>
    <listGifsComponent :Gifs="this.favoritos"></listGifsComponent>
  </div>
</template>
<script>
import listGifsComponent from '@/components/ListGifComponent.vue'

export default {
  name: 'FavoritosView',
  components: {
    listGifsComponent
  },
  data() {
    return {
      favoritos: [],
    };
  },
  created() {
    this.favoritos = this.$parent.itemsFromLocalStorage;
  }
}
</script>